# Assign permissions to a role

Assign permissions to a role.
Provide the role ID as a path parameter and include the permission IDs in the request body as an array of strings. Any pre-existing permissions will be overridden by the new permissions.
You can obtain role IDs using the **Get roles** API and permission IDs using the **Get permissions** API.

Endpoint: PUT /resources/roles/v1/{roleId}/permissions
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `roleId` (string, required)

## Header parameters:

  - `frontegg-tenant-id` (string)
    For relating a role to a specific account (tenant), use `get accounts (tenants)` API to find the account (tenant) Ids

## Request fields (application/json):

  - `permissionIds` (array, required)
    Set permission Ids to attach to the role

## Response 200 fields (application/json):

  - `id` (string, required)

  - `vendorId` (string, required)

  - `tenantId` (string, required)

  - `key` (string, required)

  - `name` (string, required)

  - `description` (string, required)

  - `isDefault` (boolean, required)

  - `firstUserRole` (boolean, required)

  - `level` (number, required)

  - `createdAt` (string, required)

  - `updatedAt` (string, required)

  - `permissions` (array, required)

